Skip to main content
POST
/
workflows
/
v1
/
workflow-webhooks
Create Workflow Webhook
curl --request POST \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "actions": [
    "workflow_created"
  ],
  "enabled": true,
  "bearer_token": "<string>",
  "timeout_seconds": 10,
  "max_retries": 3,
  "retry_backoff_seconds": 10
}
'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "actions": [
    "workflow_created"
  ],
  "enabled": true,
  "has_bearer_token": true,
  "timeout_seconds": 123,
  "max_retries": 123,
  "retry_backoff_seconds": 123
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Body

application/json
name
string
required
Required string length: 1 - 150
url
string
required
Required string length: 1 - 2048
actions
enum<string>[]
Available options:
workflow_created,
workflow_updated,
workflow_deleted,
workflow_run_started,
workflow_run_completed
enabled
boolean
default:true
bearer_token
string | null
Maximum string length: 2000
timeout_seconds
integer
default:10
Required range: 1 <= x <= 60
max_retries
integer
default:3
Required range: 0 <= x <= 10
retry_backoff_seconds
integer
default:10
Required range: 1 <= x <= 300

Response

Successful Response

id
string
required
name
string
required
url
string
required
actions
enum<string>[]
required
Available options:
workflow_created,
workflow_updated,
workflow_deleted,
workflow_run_started,
workflow_run_completed
enabled
boolean
required
has_bearer_token
boolean
required
timeout_seconds
integer
required
max_retries
integer
required
retry_backoff_seconds
integer
required